LAST,LASTB(1)

NAZWA
last, lastb - pokazuje listę ostatnio zalogowanych użytkowników

SKŁADNIA
last [-R] [-liczba] [ -n liczba ] [-adFiowx] [ -f plik ] [ -t RRRRMMDDGGMMSS ] [nazwa...] [tty...]
lastb [-R] [-liczba] [ -n liczba ] [ -f plik ] [-adFiowx] [nazwa...] [tty...]

OPIS
Last przeszukuje wstecz plik /var/log/wtmp (lub plik wskazany flagą -f) i wyświetla listę wszystkich zalogowanych (i wylogowanych) od czasu utworzenia pliku użytkowników. Mogą zostać podane nazwy użytkowników i terminali (tty); w tym przypadku last pokaże jedynie zapisy pasujące do tych argumentów. Nazwy terminali mogą być skracane, zatem last 0, to to samo, co last tty0.

Gdy last przechwyci sygnał SIGINT (generowany przez klawisz przerwania, zwykle control-C) lub sygnał SIGQUIT (generowany przez klawisz zakończenia, zwykle control-\), pokaże jak daleko przeszukał plik; następnie, w przypadku sygnału SIGINT, last przerwie pracę.

Pseudoużytkownik reboot rejestrowany jest przy każdorazowym przeładowaniu systemu. Zatem last reboot pokaże rejestr (log) wszystkich przeładowań od utworzenia pliku rejestrującego.

Lastb jest tym samym, co last, z wyjątkiem tego, że domyślnie pokazuje zapisy z pliku /var/log/btmp, zawierającego zakończone niepowodzeniem próby logowań.

OPCJE

-f plik
    Program last użyje podanego pliku zamiast /var/log/wtmp.

-liczba
    Liczba mówiąca last, ile wierszy ma pokazać.

-n liczba
    To samo.

-t RRRRMMDDGGMMSS
    Wyświetla stań logowań w podanym czasie. Jest to przydatne np. aby łatwo dowiedzieć się kto logował się w danym czasie - należy podać czas za pomocą opcji -t i wyszukać wpisy "still logged in".

-R  Nie wyświetla pola z nazwą hosta.

-a  Wyświetla nazwę hosta w ostatniej kolumnie. Przydatne w połączeniu z następną flagą.

-d  Dla logowań nie-lokalnych Linux przechowuje nie tylko nazwę zdalnego hosta, ale i jego numer IP. Opcja ta przekłada numer IP z powrotem na nazwę hosta.

-F  Wypisuje pełne czasy zalogowania i wylogowania łącznie z datą.

-i  Opcja ta jest podobna do -d, ponieważ wypisuje numery IP zdalnego hosta, ale robi to w notacji liczb z kropkami.

-o  Czyta plik wtmp starego typu (zapisany przez aplikacje linux-libc5).

-w  Wyświetla pełne nazwy i domeny użytkowników na wyjście.

-x  Wyświetla zapisy o zamknięciach systemu i zmianach jego poziomów pracy.

UWAGI
Mogą nie zostać odnalezione pliki wtmp i btmp. System rejestruje informacje w tych plikach tylko wtedy, gdy istnieją. Wynika to z lokalnej konfiguracji. Aby były one używane, można je utworzyć po prostu poleceniem touch(1) (na przykład, touch /var/log/wtmp).

PLIKI
/var/log/wtmp
/var/log/btmp

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

ZOBACZ TAKŻE
shutdown(8), login(1), init(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.88 oryginału.